package com.all.bukkit.threadcheck;

import org.bukkit.event.Event;
import org.bukkit.event.entity.*;
import org.bukkit.event.painting.PaintingBreakEvent;
import org.bukkit.event.painting.PaintingPlaceEvent;

public class EntityListener extends org.bukkit.event.entity.EntityListener {
	
	public void onCreatureSpawn(CreatureSpawnEvent event) {
		ThreadCheck.check(Event.Type.CREATURE_SPAWN);
	}
	public void onItemSpawn(ItemSpawnEvent event) {
		ThreadCheck.check(Event.Type.ITEM_SPAWN);
	}
	public void onPaintingBreak(PaintingBreakEvent event) {
		ThreadCheck.check(Event.Type.PAINTING_BREAK);
	}
	public void onPaintingPlace(PaintingPlaceEvent event) {
		ThreadCheck.check(Event.Type.PAINTING_PLACE);
	}
	
}
